Skip to main content
POST

Headers

Idempotency-Key
string
required

A client-generated idempotency key to ensure operations are only processed once even if a client retries the operation. The V4 UUID format, as defined in RFC 4122, is recommended to avoid collisions but is not required.

Maximum string length: 255

Path Parameters

barberId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

appointmentId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/json

Request body for scheduling an appointment payment link send.

reason
enum<string>

Why the barber is scheduling the payment link send. When omitted, Guile derives the reason from the appointment.

Available options:
manualNoCard,
savedCardAuthorizationFailed,
savedCardCaptureFailed

Response

Ok. The operation succeeded.

The payment-link send state for an appointment. Backoff may apply after a successful send; use state and nextAvailableAt to decide when another send can be scheduled.

state
enum<string>
required

The send state.

Available options:
available,
sending,
cooldown,
exhausted
reason
enum<string>
required

Why this appointment can receive a payment link send.

Available options:
manualNoCard,
savedCardAuthorizationFailed,
savedCardCaptureFailed
attemptsUsed
integer<int32>
required

The number of sends used in this cycle.

Required range: x >= 0
attemptsRemaining
integer<int32>
required

The number of sends left in this cycle.

Required range: x >= 0
maxAttempts
integer<int32>
required

The number of sends allowed in this cycle.

Required range: x >= 0
nextAvailableAt
string<date-time>

The next RFC 3339 UTC date-time when another payment link can be scheduled for this appointment, if any.

lastSentAt
string<date-time>

The most recent RFC 3339 UTC date-time a payment link was sent for this appointment, if any.